geode-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ash...@apache.org
Subject [50/50] [abbrv] incubator-geode git commit: GEODE-11: Move Lucene dependency version info to versions file
Date Mon, 09 Nov 2015 21:37:41 GMT
GEODE-11: Move Lucene dependency version info to versions file

See commit dc5d343 or GEODE 227 for additional details.


Project: http://git-wip-us.apache.org/repos/asf/incubator-geode/repo
Commit: http://git-wip-us.apache.org/repos/asf/incubator-geode/commit/37cc70ed
Tree: http://git-wip-us.apache.org/repos/asf/incubator-geode/tree/37cc70ed
Diff: http://git-wip-us.apache.org/repos/asf/incubator-geode/diff/37cc70ed

Branch: refs/heads/feature/GEODE-11
Commit: 37cc70edf7c6e519684b1ce9903a364c251d7d22
Parents: 300397c
Author: Ashvin Agrawal <ashvin@apache.org>
Authored: Mon Nov 9 10:32:16 2015 -0800
Committer: Ashvin Agrawal <ashvin@apache.org>
Committed: Mon Nov 9 10:33:45 2015 -0800

----------------------------------------------------------------------
 gemfire-lucene/build.gradle           | 22 +++++++++++-----------
 gradle/dependency-versions.properties |  2 +-
 2 files changed, 12 insertions(+), 12 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/incubator-geode/blob/37cc70ed/gemfire-lucene/build.gradle
----------------------------------------------------------------------
diff --git a/gemfire-lucene/build.gradle b/gemfire-lucene/build.gradle
index 40313c5..6c3adda 100644
--- a/gemfire-lucene/build.gradle
+++ b/gemfire-lucene/build.gradle
@@ -2,27 +2,27 @@ dependencies {
     provided project(':gemfire-core')
     provided project(':gemfire-common')
 
-    compile 'org.apache.lucene:lucene-analyzers-common:5.3.0'
-    compile 'org.apache.lucene:lucene-core:5.3.0'
-    compile 'org.apache.lucene:lucene-queries:5.3.0'
-    compile 'org.apache.lucene:lucene-queryparser:5.3.0'
+    compile 'org.apache.lucene:lucene-analyzers-common:' + project.'lucene.version'
+    compile 'org.apache.lucene:lucene-core:' + project.'lucene.version'
+    compile 'org.apache.lucene:lucene-queries:' + project.'lucene.version'
+    compile 'org.apache.lucene:lucene-queryparser:' + project.'lucene.version'
 
     provided project(path: ':gemfire-junit', configuration: 'testOutput')
 
     //Lucene test framework.
-    testCompile 'org.apache.lucene:lucene-test-framework:5.3.0'
-    testCompile 'org.apache.lucene:lucene-codecs:5.3.0'
+    testCompile 'org.apache.lucene:lucene-test-framework:' + project.'lucene.version'
+    testCompile 'org.apache.lucene:lucene-codecs:' + project.'lucene.version'
     testCompile project(path: ':gemfire-core', configuration: 'testOutput', transitive: false)
-    //Dependency ot lucene-test-framework. Can we turn on transitive depencies for
+    //Dependency of lucene-test-framework. Can we turn on transitive dependencies for
     //the test framework somehow? We've disabled them globally in the parent
     //build.gadle.
     testCompile 'com.carrotsearch.randomizedtesting:randomizedtesting-runner:2.1.6'
 
     // the following test dependencies are needed for mocking cache instance
-    testRuntime 'org.apache.hadoop:hadoop-common:2.4.1'
-    testRuntime 'org.apache.hadoop:hadoop-hdfs:2.4.1'
-    testRuntime 'com.google.guava:guava:11.0.2'
-    testRuntime 'commons-collections:commons-collections:3.2.1'
+    testRuntime 'org.apache.hadoop:hadoop-common:' + project.'hadoop.version'
+    testRuntime 'org.apache.hadoop:hadoop-hdfs:' + project.'hadoop.version'
+    testRuntime 'com.google.guava:guava:' + project.'guava.version'
+    testRuntime 'commons-collections:commons-collections:' + project.'commons-collections.version'
 }
 
 //The lucene integration tests don't have any issues that requiring forking

http://git-wip-us.apache.org/repos/asf/incubator-geode/blob/37cc70ed/gradle/dependency-versions.properties
----------------------------------------------------------------------
diff --git a/gradle/dependency-versions.properties b/gradle/dependency-versions.properties
index 5fc6fbc..8be0f15 100644
--- a/gradle/dependency-versions.properties
+++ b/gradle/dependency-versions.properties
@@ -40,7 +40,7 @@ json4s.version = 3.2.4
 junit.version = 4.12
 JUnitParams.version = 1.0.4
 log4j.version = 2.1
-lucene.version = 5.0.0
+lucene.version = 5.3.0
 mockito-core.version = 1.10.19
 multithreadedtc.version = 1.01
 mx4j.version = 3.0.1


Mime
View raw message